Last modified: 2013-10-29 07:39:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43854 - Add a new rule in Malayalam for Bindhurepham (0D4E)
Add a new rule in Malayalam for Bindhurepham (0D4E)
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
ime
:
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2013-01-11 10:24 UTC by vssun
Modified: 2013-10-29 07:39 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description vssun 2013-01-11 10:24:01 UTC
ൎ
The Bindurepham (0D4E) character placed in the above line has no input rule in both transliteration and inscript keyboards of Malayalam. This is very much required in digitizing older text books in Malayalam Wikisource.

Please add a new input rules for the same in both methods.

The proposed keystrokes are r^ and ^ for transliteration and inscript respectively.
Comment 1 Santhosh Thottingal 2013-01-17 15:28:51 UTC
Inscript is a standard defined by Department of Information Technology, India. Cannot modify the key assignments till it is defined in standard. I dont see this character mapped to any key in Inscript 2 standard(version 1.2 dated october 2010 )

Transliteration keymap can be modified.
Comment 2 vssun 2013-01-17 17:16:31 UTC
We have already made some modifications in the standard Inscript layout for better usability (see ൗ and chillus). I think, it is not a sin to extend the layout by adding some required characters while keeping the standard as it is.

We usually use the mediawiki:Edittools template for such special characters, which are not available in keyboard. But it is difficult to incorporate this character there. That is the reason of this bug.
Comment 3 manojkmohan 2013-04-29 03:02:16 UTC
We are currently doing digitization of book in 15th century. and repham wildly using in this book. so urgent requirement for a input key stroke for Repham atlest in transliteration input method.  http://ml.wikisource.org/wiki/Index:Yukthibhasa.djvu about the book in wiki http://en.wikipedia.org/wiki/Yuktibh%C4%81%E1%B9%A3%C4%81
Comment 4 vssun 2013-05-02 18:04:08 UTC
As some other tools follow the r# combination for repham, the same r# may be used for transliteration method.
Comment 5 manojkmohan 2013-05-10 07:36:10 UTC
Key Magic (a popular Malayalam typing tool)'s Map File Updated with repham (r#)  http://code.google.com/p/naaraayam/downloads/list
Comment 6 Santhosh Thottingal 2013-05-13 05:58:03 UTC
Transliteration keymap updated with 0d4E at jquery.ime upstream

https://github.com/wikimedia/jquery.ime/commit/2b9896e12a23bf84730186eb57575dcca575b4a3
Comment 7 Santhosh Thottingal 2013-05-14 06:33:53 UTC
The above change will be ported to ULS and will be available in wikis as per ULS deployment plan https://www.mediawiki.org/wiki/UniversalLanguageSelector/Deployment/Planning

We are not updating Narayam because it is getting phased out.

For those who want the keyboard mapping immediately:


For the wikis where Narayam is deployed the keyboard mappings can be easily customized at user level as per http://www.mediawiki.org/wiki/Extension:Narayam#User_level_customization

mw.loader.using('ext.narayam.rules.ml', function () {
var ml_scheme = $.narayam.getScheme( 'ml' );
var custom_rules = [['ർ#', '','ൎ']];
ml_scheme.rules.unshift.apply( ml_scheme.rules, custom_rules );
} );
Comment 8 Amir E. Aharoni 2013-05-18 08:45:11 UTC
Committed to Gerrit in https://gerrit.wikimedia.org/r/#/c/64474/ .

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links